# Influences

[Paul Graham][] is quite possibly my biggest professional influence. In fact, he
influenced an entire generation of young technologists and entrepreneurs, and 
the effecs of his influence have been shown to be [long-lasting][]. [Beating 
the Averages][], [Being Popular][], [Why Nerds are Unpopular][], [The 
Hundred-Year Language][] and [How to Make Wealth][] are my favorite pieces.

[]: http://www.paulgraham.com/
[]: https://web.archive.org/web/20110514015121/http://mixergy.com/y-combinator-paul-graham/
[]: http://www.paulgraham.com/avg.html
[]: http://www.paulgraham.com/popular.html
[]: http://www.paulgraham.com/nerds.html
[]: http://www.paulgraham.com/hundred.html
[]: http://www.paulgraham.com/wealth.html

[Claus Wahlers][] is an [old school][] Flash and ActionScript hacker (currently
[kicking ass on React-land][]). He is the author of [DENG][], a crazy Flash 
browser implementation that implemented various W3C standards before they landed 
anywhere else. He also wrote [FC64][], a Commodore 64 emulator for Flash Player 9.
We have all forgotten about Flash, but back in the day these were prime examples 
of ActionScript mastery. He mentored me in my early years as a programmer and 
unwillingly taught me most of my English over instant messaging.

[]: http://wahlers.com.br/clausblog
[]: http://deng.com.br/
[]: https://github.com/zeit/next-plugins/pull/159
[]: http://codeazur.com.br/stuff/fc64_final/

[Mark Pilgrim][] blogged about technology and everything else for about 10 years
before [he vanished][] from the internet. He wrote [Dive Into Accessibility][],
[Dive Into Python][], [Dive Into Python 3][] and most recently, [HTML5: Up & 
Running][]. He also wrote the Universal Feed Parser, which I believe is the 
[most complete, fault-tolerant RSS and Atom parser][] out there. I spent weeks
reading the source code. He was one of the main [advocates][] of the [Atom 
format][] during its development.

[]: https://web.archive.org/web/20110514015121/http://diveintomark.org/about
[]: https://en.wikipedia.org/wiki/Mark_Pilgrim#%22Disappearance%22_from_the_Internet
[]: https://web.archive.org/web/20110514015121/http://diveintoaccessibility.org/
[]: https://web.archive.org/web/20110514015121/http://diveintopython.org/
[]: https://www.amazon.com/Dive-into-Python-Mark-Pilgrim/dp/1430224150/
[]: https://www.amazon.com/HTML5-Running-Dive-Future-Development/dp/0596806027
[]: https://pypi.org/project/feedparser/
[]: http://tools.ietf.org/html/rfc4287#appendix-A
[]: https://en.wikipedia.org/wiki/Atom_(Web_standard)

[Maciej Ceglowski][] makes [great web software][], writes [intriguing][] 
[essays][] and contributes to [real change][]. To paraphrase his own words, he 
lives everywhere he can. He seems to live a truly mobile life which results in
the [most][] [interesting][] [little][] [stories][]. His articles on [vector 
space search engines][] and [bloom filters][] introduced me to code that 
inspired me to study, investigate and write good software.

[]: http://idlewords.com/about.htm
[]: http://pinboard.in/tour/
[]: http://idlewords.com/2005/08/a_rocket_to_nowhere.htm
[]: http://idlewords.com/2003/12/100_years_of_turbulence.htm
[]: https://www.theverge.com/2018/3/8/17092684/great-slate-fundraising-congressional-campaign
[]: http://idlewords.com/2006/04/argentina_on_two_steaks_a_day.htm
[]: http://idlewords.com/2006/05/i_spy.htm
[]: http://idlewords.com/2004/05/attacked_by_thugs.htm
[]: http://idlewords.com/2003/11/a_morning_in_iceland.htm
[]: http://search.cpan.org/~MCEGLOWS/
[]: http://www.perl.com/pub/2003/02/19/engine.html
[]: http://www.perl.com/pub/2004/04/08/bloom_filters.html

[Joe Gregorio][] is the co-author of the [Atom Publishing Protocol
specification][] and a blogger advocating [good software development 
practices][]. He has also authored the [URI templates specification][] and the 
Python libraries [httplib2][] and [mimeparse][]. Lately it seems Joe also has
[left Python][] work to [focus on modern JavaScript][].

[]: http://bitworking.org/news/bio
[]: http://www.ietf.org/rfc/rfc5023.txt
[]: http://bitworking.org/news/
[]: http://code.google.com/p/uri-templates/
[]: http://code.google.com/p/httplib2/
[]: http://code.google.com/p/mimeparse/
[]: http://hire.jonasgalvez.com.br/2017/Aug/25/Leaving-Python-for-JavaScript
[]: https://bitworking.org/news/2018/07/the-experience-driven-source-of-elements-sk

[Simon Willison][] has been for a [long time][] one of my main references in 
Python programming. He has a good eye for exciting emergent technology, having
told us to [stop everything we were doing to go learn Node.js][] a year before 
it started getting so [massively popular][].

[]: http://simonwillison.net/about/
[]: http://simonwillison.net/2002/
[]: http://simonwillison.net/2009/Nov/23/node/
[]: https://web.archive.org/web/20110514015121/http://nodeknockout.com/

[Mark Nottingham][] is a [one-man standards body][]. In fact, it was his blog 
that introduced me to the IETF in the first place. It was after reading his 
[Caching Tutorial][] that I bothered to learn HTTP and dive into others
underlying protocols of the web. He is also the co-author of the [Atom format 
specification][]. His [website][] and [writings][] influenced my sense of 
simplicity a great deal.

[]: http://www.mnot.net/personal/
[]: http://www.mnot.net/personal/resume.html#publications
[]: http://www.mnot.net/cache_docs/
[]: http://www.ietf.org/rfc/rfc4287
[]: http://www.mnot.net/
[]: http://www.mnot.net/blog/

[Tim Bray][] is one of the co-editors of the [XML specification][]. His blog 
covers the [recent history of modern web software development][] and has some
articles you [just][] [can't][] [miss][].

[]: http://www.tbray.org/ongoing/misc/Tim
[]: http://www.w3.org/TR/REC-xml/
[]: http://www.tbray.org/ongoing/When/
[]: http://www.tbray.org/ongoing/When/200x/2006/01/08/No-New-XML-Languages
[]: http://www.tbray.org/ongoing/When/200x/2006/05/24/On-Grids
[]: http://www.tbray.org/ongoing/When/200x/2009/12/28/Your-Life-Online

[Ryan Tomayko][] is the founder of [lesscode.org][], a blog which advocated 
smarter and leaner enterprise applications through the use of open source 
software and scripting languages. The archives are [filled with goodies][]. Ryan
also worked at GitHub for a long time.

[]: http://tomayko.com/about
[]: http://lesscode.org/
[]: http://lesscode.org/archives/

[Hugh MacLeod][] has been amusing and educating me for a long time with his 
[cartoons][] and [guerrilla business advice][]. He's still [blogging][] and
[tweeting][] like crazy. One of my essential daily reads.

[]: http://gapingvoid.com/about
[]: http://gapingvoidgallery.com/
[]: http://www.amazon.com/gp/product/159184259X
[]: http://gapingvoid.com/
[]: https://twitter.com/hughcards

[Paul Ford][] is my brand of obsessive. He listened to all of the songs from 
SXSW 2008 and published [a review for every and each one of them][]. He came up
with [200 ingeniously hilarious ways][] to say "I Love You". He [makes a 
difference][]. He freely ponders about [cleaning his room][] and [anything 
else][] [that][] [comes][] [to][] [mind][].

[]: http://www.ftrain.com/ftrain_faq.html
[]: https://web.archive.org/web/20110514015121/http://www.themorningnews.org/archives/reviews/sixword_reviews_of_763_sxsw_mp3s.php
[]: https://themorningnews.org/article/how-to-say-i-love-you
[]: http://www.ftrain.com/i-am-making-a-difference.html
[]: http://www.ftrain.com/cleaning_the_room.html
[]: http://www.ftrain.com/Followup.html
[]: http://www.ftrain.com/a-semantic-web-fear.html
[]: http://www.ftrain.com/SortableLists.html
[]: http://www.ftrain.com/until_the_water_boils.html
[]: http://www.ftrain.com/editors-ship-dammit.html

[Michael Barrish][] is quite possibly my favorite writer. [Pervert][], 
[Inscription][] and [Letter][] are must reads. I remember when I first read 
them several years ago, I think it was the very first time I stopped to think 
about how good content can and does come out of the web. [All of his 
stories][] would make a classic book.

[]: http://oblivio.com/about/
[]: http://oblivio.com/stories/pervert.html
[]: http://oblivio.com/archives/04071301.html
[]: http://oblivio.com/stories/letter.html
[]: http://oblivio.com/archives/
